Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class VersionedIdentifier

    java.lang.Object
      org.eclipse.update.core.VersionedIdentifier

public class VersionedIdentifier
extends Object

Versioned Identifier. This is a utility class combining an identification string with a version.

Clients may instantiate; not intended to be subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `PluginVersionIdentifier`

Constructor Summary
`VersionedIdentifier(String id, String versionName)` Construct a versioned identifier from an identifier and a string representation of a version

Method Summary
`boolean` | `equals(Object obj)` Compares two versioned identifiers for equality
`String` | `getIdentifier()` Returns the identifier
`PluginVersionIdentifier` | `getVersion()` Returns the version
`int` | `hashCode()` Returns a computed hashcode for the versioned identifier.
`String` | `toString()` Returns a string representation of the versioned identifier.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionedIdentifier

    public VersionedIdentifier(String id,
                               String versionName)

  Construct a versioned identifier from an identifier and a string representation of a version

Parameters:
  `id` - identifier string
  `versionName` - string representation of version
Since:
  2.0
See Also:
  `PluginVersionIdentifier.toString()`

Method Detail

### getIdentifier

    public String getIdentifier()

  Returns the identifier

  Returns:
    identifier
  Since:
    2.0

### getVersion

    public PluginVersionIdentifier getVersion()

  Returns the version

  Returns:
    version
  Since:
    2.0

### toString

    public String toString()

  Returns a string representation of the versioned identifier.

  Returns:
    string representation of versioned identifier. The resulting string is _, where is the identifier and is the string representation of the version
  Since:
    2.0

### equals

    public boolean equals(Object obj)

  Compares two versioned identifiers for equality

  Parameters:
    `obj` - other versioned identifier to compare to
  Returns:
    `true` if the two objects are equal, `false` otherwise
  Since:
    2.0

### hashCode

    public int hashCode()

  Returns a computed hashcode for the versioned identifier.

  Returns:
    hash code
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.